EDIT - bug #6809

Name Editor throws double selection change events
07/13/2017 11:25 AM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.10

Severity: normal Found in Version:

Description

1. Have the details view open

2. Open the name editor with a taxon that has two synonyms

3. Select synonym A

4. Switch to another view that provides a selection for the details view, e.g. specimen editor
5. Go back to name editor by selecting Synonym B.

6. Details view gets rendered with first with synonym A and then with synonym B

Related issues:

Related to EDIT - feature request #6554: The details views are newly created ... In Progress

Copied from EDIT - feature request #6795: Invoke selection change event when ... Closed

Associated revisions

Revision 20fa89e3 - 08/31/2017 01:44 PM - Patrick Plitzner
fix #6809 add selection delay to parts

History

#1 - 07/13/2017 11:25 AM - Patrick Plitzner

- Copied from feature request #6795: Invoke selection change event when setting focus to specimen editor added

#2 - 07/13/2017 11:27 AM - Patrick Plitzner

- Related to feature request #6554: The details views are newly created with every change of the focus added

#3 - 08/31/2017 01:45 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|20fa89e35e3a48b063b1ea8cfd4c7e98e77a3f8a.

#4 - 08/31/2017 02:24 PM - Patrick Plitzner
- Assignee changed from Patrick Plitzner to Katja Luther

- Target version changed from Unassigned CDM tickets to Release 4.10

#5 - 09/01/2017 09:52 AM - Katja Luther
- Status changed from Resolved to Closed
- Assignee changed from Katja Luther to Patrick Plitzner

- % Done changed from 50 to 100

seems to work.
